<template>
  <span class="ModalCardAdd">
    <b-button @click="showModal" variant="success" class='ml-2' size="sm">+ Add Card</b-button>

    <b-modal :ref="'m-card-add-' + list._id" centered title="New Card">
      <b-form-input v-model="cardName" placeholder="Card name"></b-form-input>
      <br/>
      <b-form-input v-model="description" placeholder="Card description"></b-form-input>

      <template #modal-footer>
        <div class="w-100">
          <b-button
            variant="success"
            class="float-right ml-2"
            @click="$bvModal.hide('m-card-add-' + list._id); createCard();"
          >
            Save
          </b-button>
        </div>
      </template>
    </b-modal>

  </span>
</template>

<script>
import axios from 'axios';

export default {
  name: 'ModalCardAdd',
  props: ['list'],
  data(){
    return {
      cardName: '',
      description: ''
    }
  },
  methods:{
    showModal() {
      this.$refs['m-card-add-' + this.list._id].show()
    },
    createCard(){
      let card = {
        title: this.cardName,
        description: this.description
      }

      axios.post(`${process.env.VUE_APP_URL}/cards/${this.list._id}`, card)
      .then(response => {
          console.log(response.data)
          this.cardName = ''
          this.description = ''
          window.location.reload(false);
      })
      .catch(error => alert("error " + error))

      this.cardName = ''
      this.description = ''
    }
  }
}
</script>


<style scoped>
#ModalCardAdd{
}
</style>
